#include "Property.h"
#include "stdafx.h"

using namespace System;
using namespace System::Runtime::InteropServices;
using namespace NDTS::Managed::SCO;

Property::Property()
{
}

Property::~Property()
{
}

void Property::setProp(NDTS::SCO::Property *pProp)
{
	this->pProp = pProp;
}

void Property::setPropVoid(void *pProp)
{
	this->pProp = (NDTS::SCO::Property *)pProp;
}

String ^Property::getLongName()
{
	String ^s = gcnew String(pProp->getLongName());
	return s;
}

String ^Property::getShortName()
{
	String ^s = gcnew String(pProp->getShortName());
	return s;
}


int Property::getFlags()
{
	return pProp->getFlags(); 
}
